"use strict";

const React = require("react");

const MenuItem = require("./components/menu-item");

module.exports = function Layout({ title, submenu, children }) {
	return (
		<html>
			<head>
				<title>
					{(title != null)
						? `CVM - ${title}`
						: "CVM"
					}
				</title>
				<link rel="stylesheet" href="/css/style.css"/>
			</head>
			<body>
				<div className="menu">
					<h1>CVM</h1>
					<MenuItem path="/hardware">Hardware</MenuItem>
					<MenuItem path="/resource-pools">Resource Pools</MenuItem>
					<MenuItem path="/disk-images">Disk Images</MenuItem>
					<MenuItem path="/instances">Instances</MenuItem>
					<MenuItem path="/users">Users</MenuItem>
				</div>

				{(submenu != null)
					? <div className="submenu">{submenu}</div>
					: <div className="fakeSubmenu"></div>
				}

				<div className="content">
					{children}
				</div>

				<script src="/js/bundle.js" />
				<script src="/budo/livereload.js" />
			</body>
		</html>
	);
};